Gentoo Archives: gentoo-user

From: Alan McKinnon <alan.mckinnon@×××××.com>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] Updating dev-libs/glib pulls a lot of packages...
Date: Fri, 06 Aug 2010 07:04:07
Message-Id: 201008060841.23303.alan.mckinnon@gmail.com
In Reply to: [gentoo-user] Updating dev-libs/glib pulls a lot of packages... by Jarry
1 On Thursday 05 August 2010 18:51:54 Jarry wrote:
2 > Hi,
3 > After just one week I am updating one of my servers but I am
4 > rather terrified by all the stuff the new glib wants to install:
5 >
6 > # emerge --pretend --update glib
7 > These are the packages that would be merged, in order:
8 > Calculating dependencies... done!
9 > [ebuild N ] app-text/build-docbook-catalog-1.4
10 > [ebuild N ] app-arch/unzip-6.0-r1 USE="bzip2 unicode"
11 > [ebuild N ] app-text/sgml-common-0.6.3-r5
12 > [ebuild N ] dev-libs/libgpg-error-1.7 USE="nls -common-lisp"
13 > [ebuild N ] app-text/docbook-xsl-stylesheets-1.75.2
14 > [ebuild N ] dev-libs/libgcrypt-1.4.5
15 > [ebuild N ] dev-libs/libxslt-1.1.26 USE="crypt python -debug"
16 > [ebuild N ] app-text/docbook-xml-dtd-4.3-r1
17 > [ebuild N ] dev-util/gtk-doc-am-1.15
18 > [ebuild U ] dev-libs/glib-2.24.1-r1 [2.22.5]
19 >
20 > Why are suddenly all those ebuilds needed with new glib?
21 >
22 > Jarry
23
24
25 You have enabled USE=doc"
26
27 unzip, libgpg-error and libgcrypt look like routine updates
28
29 --
30 alan dot mckinnon at gmail dot com

Replies

Subject Author
Re: [gentoo-user] Updating dev-libs/glib pulls a lot of packages... Jarry <mr.jarry@×××××.com>